MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022959Community[OCCT] OCCT:Application Frameworkpublic2012-01-31 14:312012-04-16 12:32
ReporterPawel 
Assigned Tobugmaster 
PrioritynormalSeveritycrash 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.2 
Target Version[OCCT] 6.5.3Fixed in Version[OCCT] 6.5.3 
Summary0022959: Accessing uninitialized variable (pointer): aCurElement
DescriptionLines 244, 316, 388, 465, 571 in XmlMDataStd_NamedDataDriver.cxx

LDOM_Element* aCurElement;
if (aCurNode.isNull())
  aCurNode = anElement.getFirstChild();
else
  aCurNode = aCurElement->getNextSibling();

should probably read:

if (aCurNode.isNull())
  aCurNode = anElement.getFirstChild();
else
  aCurNode = anElement->getNextSibling();


http://www.opencascade.org/org/forum/thread_21388/ [^]
http://www.opencascade.org/org/forum/thread_21417/ [^]
TagsNo tags attached.
Test case numbertest case is not required
Attached Files

- Relationships

-  Notes
(0019896)
szy (administrator)
2012-03-07 17:30

Mikhail,
Review it, please.
(0019918)
mpv (developer)
2012-03-11 17:19

It seems it's OK.

Actually I would prefer to join two strings
   LDOM_Element* aCurElement;
   ...
   aCurElement = (LDOM_Element*)&aCurNode;
into one (in the location of the second):
   LDOM_Element* aCurElement = (LDOM_Element*)&aCurNode;
but it is not critical.
(0019941)
aan (tester)
2012-03-12 19:46
edited on: 2012-03-12 19:46

Dear BugMaster,

SVN branch http://svn/svn/occt/branches/OCC22959 [^] has been moved to GIT CR22959 one.

Workbench KAS:dev:aan-22959-occt was created from git branch CR22959
(and aan-22959-products from svn trunk) and compiled on Linux platform.

There are not regressions in aan-22959-products regarding to
KAS:dev:products-20120306-opt

See results in
/QADisk/occttests/results/KAS/dev/aan-22959-products_12032012/lin
See reference results in
/QADisk/occttests/results/KAS/dev/products-20120306-opt_07032012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following
instructions
http://doc/doku.php?id=occt:certification [^]

(0020005)
bugmaster (administrator)
2012-03-15 19:14

Integrated into master
(0020367)
Pawel (developer)
2012-04-12 17:04

Verified. Please close.

- Related Changesets
occt: master 56fabb31
Timestamp: 2012-03-12 08:49:34
Author: mpv
Committer: bugmaster
Details ] Diff ]
0022959: Accessing uninitialized variable (pointer): aCurElement
mod - src/XmlMDataStd/XmlMDataStd_NamedDataDriver.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-01-31 14:31 Pawel New Issue
2012-01-31 14:31 Pawel Assigned To => szy
2012-02-14 13:05 abv Assigned To szy => dbv
2012-02-14 13:05 abv Status new => assigned
2012-02-17 14:11 abv Assigned To dbv => agv
2012-02-17 14:37 agv Note Added: 0019620
2012-02-17 14:38 agv Note Edited: 0019620 View Revisions
2012-02-17 14:38 agv Note Added: 0019621
2012-02-17 14:42 agv Assigned To agv => szy
2012-02-17 14:43 agv Note Deleted: 0019620
2012-02-17 14:43 agv Note Deleted: 0019621
2012-03-07 17:30 szy Note Added: 0019896
2012-03-07 17:30 szy Assigned To szy => mpv
2012-03-07 17:30 szy Status assigned => resolved
2012-03-11 17:19 mpv Note Added: 0019918
2012-03-11 17:19 mpv Status resolved => reviewed
2012-03-11 20:31 mkv Assigned To mpv => aan
2012-03-12 19:16 aan Test case number => test case is not required
2012-03-12 19:46 aan Note Added: 0019941
2012-03-12 19:46 aan Note Edited: 0019941 View Revisions
2012-03-12 19:46 aan Status reviewed => tested
2012-03-15 18:57 bugmaster Target Version => 6.5.3
2012-03-15 19:14 bugmaster Note Added: 0020005
2012-03-15 19:14 bugmaster Status tested => verified
2012-03-15 19:14 bugmaster Resolution open => fixed
2012-03-15 19:14 bugmaster Assigned To aan => szy
2012-03-29 17:26 bugmaster Changeset attached => occt master 56fabb31
2012-04-03 13:33 abv Assigned To szy => Pawel
2012-04-12 17:04 Pawel Note Added: 0020367
2012-04-16 12:32 Pawel Assigned To Pawel => bugmaster


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker